Itoo Software Forum

Author Topic: Railclone lite 1.x and 2.x installation  (Read 2946 times)

nakama

  • Newbie
  • *
  • Posts: 20
Railclone lite 1.x and 2.x installation
« on: May 23, 2013, 08:35:16 AM »
Hi,

is there a way to have both versions running?

As 1.x in a Max2012 installation an 2.x in a 2014 installation?

its kinda disappointing that the older installation is been removed and the converted railcloneobject in 2.0 differs from the older one, as joints and corners are treated differently when converting.

Will be a hassle to work on older projects if everything needs to checked, or older versions need to reinstalled.

nakama

  • Newbie
  • *
  • Posts: 20
Re: Railclone lite 1.x and 2.x installation
« Reply #1 on: May 23, 2013, 08:44:13 AM »
Never mind....

reinstalled rc 1 again and choosed differnt installation folder name - does work now.

seemed i didnt paid attention while installing 2.x and were asked to remove the previous installation.

iToo

  • Administrator
  • Hero Member
  • *****
  • Posts: 3151
    • iToo Software
Re: Railclone lite 1.x and 2.x installation
« Reply #2 on: May 23, 2013, 09:26:46 AM »

Ok, anyway i have written a post about this issue in the FAQ: http://www.itoosoft.com/forum/index.php?topic=1591.0

In any case, you can render 1.x objects without changes in RailClone 2: just do not convert them (they will not be editable, obviously). We have done in this way to ease the work with old scenes. The resulting geometry should be identical to 1.x, if not... please write us (it would be a bug).

Carlos Quintero
iToo Software

nakama

  • Newbie
  • *
  • Posts: 20
Re: Railclone lite 1.x and 2.x installation
« Reply #3 on: August 06, 2013, 08:44:45 PM »
Hi i still get error messages.

When Installing Railclone Pro 2.04 for my Max Design 2014 it says Railclone Light detected do you want to upgrade....

I say no - and installation is ended

i say yes, and my railclone lite 1.43 installation for Max Design 2012 is removed.

SO i thought doing your short FAQ, but no when reinstalling Railclone Lite 1.43 i got asked Railclone Pro is detected do you want to downgrade...

I say no - installation is ended

i say yes, and my Pro 2.04 plugin for the Max2014 in deinstalled.

That kinda is not the way its ment to be.

Are there any reasons why when installing the Pro version for a different Max installation is removing the Lite version for another Max Install?

iToo

  • Administrator
  • Hero Member
  • *****
  • Posts: 3151
    • iToo Software
Re: Railclone lite 1.x and 2.x installation
« Reply #4 on: August 07, 2013, 09:11:23 AM »
The procedure described in the FAQ lets you to have RailClone Pro 1.x and 2.x installed in the same computer, but not mixing Lite and Pro versions.

Is there some reason you want to use the Lite version ? You can download RailClone Pro 1.43 from the User Panel->Previous versions.

If you need RC Lite, would be possible to copy manually the files. Just replace railclonepro.dlo from railclonelite.dlo in the Max "plugins" folder. You will need to install each package at least one time to make a copy of the .dlo files.

If that helps, the files used by RailClone are listed here.
Carlos Quintero
iToo Software

nakama

  • Newbie
  • *
  • Posts: 20
Re: Railclone lite 1.x and 2.x installation
« Reply #5 on: August 10, 2013, 09:43:40 AM »
Thanks,

well i used to keep max versions and plugins the way i was creating scenes with it. so if i have to touch an project 2 or 3 years old i get the same results as i was rendering it back that time.

opening old scenes with newer versions of several plugins or renderers often created undesired results.
Thats my reason i try to avoid that.

But thanks i didn't thought of installing the 1.43 Pro version. I guess that won't make much a difference.